=== debian/changelog ===
sirikali (1.3.3-1) unstable; urgency=medium

  * New upstream version.
  * Use the upstream appstream info.

 -- David Steele <steele@debian.org>  Tue, 20 Feb 2018 20:57:34 -0500

sirikali (1.3.2-2) unstable; urgency=medium

  * Use the upstream man pages.
  * Include translations.

 -- David Steele <steele@debian.org>  Wed, 31 Jan 2018 14:45:20 -0500
