=== debian/changelog ===
sirikali (1.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- David Steele <steele@debian.org>  Mon, 30 Apr 2018 12:32:34 -0400

sirikali (1.3.3-3) unstable; urgency=medium

  * Debug CI test.

 -- David Steele <steele@debian.org>  Sat, 14 Apr 2018 09:37:21 -0400

sirikali (1.3.3-2) unstable; urgency=medium

  * Add simple CI test.

 -- David Steele <steele@debian.org>  Thu, 12 Apr 2018 22:00:10 -0400
