=== debian/tests/control ===
Tests: testlist
Depends: @, psmisc, xvfb
Restrictions: isolation-container
