## sirikali 1.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project( sirikali )
 
-set( PGR_VERSION "1.3.4" )
+set( PGR_VERSION "1.3.5" )
 
 add_definitions( -Wextra -Wall -pedantic )
 
@@ -101,12 +101,23 @@
 file( WRITE ${PROJECT_BINARY_DIR}/json.h "\n#include \"${JSON_HEADER_PATH}\"" )
 MESSAGE( STATUS "found json.hpp header file at: ${JSON_HEADER_PATH}" )
 
-find_file( GCRYPT_INCLUDE_FILE gcrypt.h )
-find_path( GCRYPT_INCLUDE_PATH gcrypt.h )
-
-add_definitions( -I${GCRYPT_INCLUDE_PATH} )
-
-find_library( GCRYPT_LIBRARY gcrypt )
+if( WIN32 )
+
+    set( GCRYPT_INCLUDE_FILE "${PROJECT_SOURCE_DIR}/libs/include/gcrypt.h" )
+    set( GCRYPT_INCLUDE_PATH "${PROJECT_SOURCE_DIR}/libs/include" )
+
+    MESSAGE( STATUS "${GCRYPT_INCLUDE_FILE}" )
+    set( GCRYPT_LIBRARY "${PROJECT_SOURCE_DIR}/libs/lib/libgcrypt.dll.a" )
+
+else()
+
+    find_file( GCRYPT_INCLUDE_FILE gcrypt.h )
+    find_path( GCRYPT_INCLUDE_PATH gcrypt.h )
+
+    add_definitions( -I${GCRYPT_INCLUDE_PATH} )
+
+    find_library( GCRYPT_LIBRARY gcrypt )
+endif()
 
 if( NOT GCRYPT_INCLUDE_FILE )
 	MESSAGE( FATAL_ERROR "could not find gcrypt header file" )
@@ -331,7 +342,3 @@
 link_directories( ${GCRYPT_LIBRARY_PATH} )
 
 if( WIN32 )
-    #TARGET_LINK_LIBRARIES( sirikali winfsp-x86 ${Qt5Widgets_LIBRARIES} ${Qt5Core_LIBRARIES} ${Qt5Widgets_LIBRARIES} ${Qt5Network_LIBRARIES} ${library_pwquality} ${GCRYPT_LIBRARY} lxqt-wallet mhogomchungu_task mhogomchungu_network -L${GCRYPT_LIBRARY_PATH})
-    TARGET_LINK_LIBRARIES( sirikali ${Qt5Widgets_LIBRARIES} ${Qt5Core_LIBRARIES} ${Qt5Widgets_LIBRARIES} ${Qt5Network_LIBRARIES} ${library_pwquality} ${GCRYPT_LIBRARY} lxqt-wallet mhogomchungu_task mhogomchungu_network -L${GCRYPT_LIBRARY_PATH})
-
-else()
