=== debian/changelog ===
sirikali (1.3.5-1) unstable; urgency=medium

  * New upstream release.

 -- David Steele <dsteele@gmail.com>  Fri, 10 Aug 2018 22:49:16 -0400

sirikali (1.3.4-2) unstable; urgency=medium

  * Add Build-Dep on qtbase5-dev-tools, for repro-build FTBFS.

 -- David Steele <steele@debian.org>  Fri, 22 Jun 2018 22:42:03 -0400
