=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                libgcrypt20-dev,
                libsecret-1-dev,
                qtbase5-dev,
+               qtbase5-dev-tools,
                chrpath,
                bzip2,
 Standards-Version: 4.1.3
