=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: David Steele <steele@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
                pkg-config,
                libgcrypt20-dev,
@@ -18,9 +18,9 @@
 
 Package: sirikali
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, cryfs [!armel]
-Recommends: encfs [armel]
-Suggests: encfs [!armel]
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: cryfs
+Suggests: encfs, gocryptfs, ecryptfs-utils, sshfs
 Description: Manage user encrypted volumes
  Sirikali provides a Qt/C++ GUI front end to cryfs,gocryptfs,securefs and encfs,
  allowing the user to create, mount, and unmount encrypted volumes.
