=== debian/changelog ===
sirikali (1.3.6+dfsg1-1) unstable; urgency=medium

  * Clear source-contains-prebuilt-windows-binary by repacking source.

 -- David Steele <steele@debian.org>  Sat, 24 Nov 2018 14:19:21 -0500

sirikali (1.3.6-2) unstable; urgency=medium

  * Fix the desktop file reference in the appdata.

 -- David Steele <steele@debian.org>  Thu, 25 Oct 2018 21:09:33 -0400
